Replace file links

put

/api/field-service/core/v1/activities/{activityId}/externalFilesInfo/{propertyLabel}

This operation uploads information about external links to file attachments to the specified activity property. The property should have the type 'Attachments' configured with the 'OCI Object Storage' storage type.

Request

Supported Media Types
Path Parameters
Body ()
Root Schema : Replace File Links Request
Type: object
Title: Replace File Links Request
The payload containing external file links to store in the specified inventory property.
Show Source
  • Items
    Title: Items
    The collection of external file information objects.
  • Title: Operation Type
    Default Value: replace
    Allowed Values: [ "replace", "update" ]
    The type of the operation. Allowed values are 'replace' and 'update'. If omitted, the default value is 'replace'. In 'update' mode, new elements from the request are added or updated and existing items are not deleted. The items are identified by the 'URI' attribute.
Nested Schema : Items
Type: array
Title: Items
The collection of external file information objects.
Show Source
Nested Schema : External File Info Item
Type: object
Title: External File Info Item
Information about a file stored in OCI Object Storage.
Show Source
  • Title: Content Type
    The media type of the file (for example 'image/jpeg'). This is used by the application to properly display the file in user interface.
  • Title: File Name
    File name.
  • Title: File Size
    Default Value: 999999
    The size of the file in bytes. It is used only to show the size of the file in UI. Default: 999999 (unknown).
  • Title: URI
    Stored in Object Storage file uri ('https:///path-to-file'). This is used by the application to access the file content.
Back to Top

Response

Supported Media Types

200 Response

This section describes the 200 status response for this operation.
Body ()
Root Schema : External Files Info
Type: object
Title: External Files Info
The collection of information about external files stored for the specified inventory property.
Show Source
Nested Schema : Items
Type: array
Title: Items
The collection of external file information objects.
Show Source
Nested Schema : External File Info Item
Type: object
Title: External File Info Item
Information about a file stored in OCI Object Storage.
Show Source
  • Title: Content Type
    The media type of the file (for example 'image/jpeg'). This is used by the application to properly display the file in user interface.
  • Title: File Name
    File name.
  • Title: File Size
    Default Value: 999999
    The size of the file in bytes. It is used only to show the size of the file in UI. Default: 999999 (unknown).
  • Title: URI
    Stored in Object Storage file uri ('https:///path-to-file'). This is used by the application to access the file content.

Default Response

This section describes the default error response for this operation.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top